// pages/badge/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    pics: [
      'https://tdesign.gtimg.com/mobile/demos/avatar1.png',
      'https://tdesign.gtimg.com/mobile/demos/avatar2.png',
      'https://tdesign.gtimg.com/mobile/demos/avatar3.png',
      'https://tdesign.gtimg.com/mobile/demos/avatar4.png',
      'https://tdesign.gtimg.com/mobile/demos/avatar5.png',
      'https://tdesign.gtimg.com/mobile/demos/avatar1.png',
    ],

    list:[
      {
        title:'养护徽章',
        badge:'勤劳小园丁',
        tips:'累计浇水 10 次'
      },
      {
        title:'成长徽章',
        badge:'花开有时',
        tips:'第一次开花'
      },
      {
        title:'收藏徽章',
        badge:'花园掌柜',
        tips:'添加 20 株'
      },
      {
        title:'挑战徽章',
        badge:'人气花匠',
        tips:'帖子获得 10 个赞'
      }
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})